> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/shipping-information.md).

# Shipping Information

Endpoints to create and read the shipping information of a parcel.

## Get shippingInformation

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves shippingInformation entities based on provided search criteria.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the shipping information of a parcel.","name":"Shipping information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ShippingInformationResponse":{"properties":{"shippingInformation":{"description":"the shipping information entities found by the given search criteria","items":{"$ref":"#/components/schemas/ShippingInformation"},"maxItems":500,"type":"array"},"total":{"description":"the total count of shipping information entities found by the given search criteria","type":"integer"}},"title":"ShippingInformationResponse","type":"object","description":"ShippingInformationResponse"},"ShippingInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"carrierRecipientInformation":{"description":"Combination of address, carrier, carrier product and carrier service which can be referenced by line items. At the moment only address is implemented and only one carrierRecipientInformation is allowed.","items":{"$ref":"#/components/schemas/CarrierRecipientInformation"},"maxItems":1,"minItems":1,"type":"array"},"created":{"description":"Creation date of this shippingInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this shippingInformation","type":"string"},"lastModified":{"description":"Last modification date of this shippingInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process. If not passed, a new operative process will be created and the reference added.","type":"string"},"processRef":{"description":"Reference to related process. If not passed, a new process will be created and the reference added.","type":"string"},"recommendedCarrier":{"allOf":[{"$ref":"#/components/schemas/RecommendedCarrier"}],"description":"Recommended carrier for this shippingInformation."},"senderAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddress"}],"description":"Address of the sender for this shippingInformation"},"shippingInformationLineItems":{"description":"Items that are related to this shippingInformation","items":{"$ref":"#/components/schemas/ShippingInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"shortId":{"description":"A short identifier that helps assigning a shippingInformation to a customer","type":"string"},"status":{"description":"The status of the shippingInformation","type":"string"},"tenantOrderId":{"description":"Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.","type":"string"},"version":{"description":"Version number of this shippingInformation","type":"number"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","status","carrierRecipientInformation","senderAddress","shippingInformationLineItems"],"title":"ShippingInformation","type":"object","description":"ShippingInformation"},"CarrierRecipientInformation":{"properties":{"address":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","items":{"$ref":"#/components/schemas/ConsumerAddress"},"maxItems":3,"minItems":1,"type":"array"},"id":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","type":"string"}},"required":["id","address"],"title":"CarrierRecipientInformation","type":"object","description":"CarrierRecipientInformation"},"ConsumerAddress":{"allOf":[{"$ref":"#/components/schemas/Address"}],"properties":{"addressType":{"$ref":"#/components/schemas/AddressType"},"companyName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/Coordinates"},"email":{"format":"email","minLength":1,"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"salutation":{"type":"string"}},"type":"object","title":"ConsumerAddress","description":"ConsumerAddress"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"AddressType":{"description":"Type of this address, used e.g. for communication with the carrier. Use POSTAL_ADDRESS for the address where the order should be shipped to, INVOICE_ADDRESS for the address where the invoice is sent to and PARCEL_LOCKER if a parcel locker is used for this order.","enum":["POSTAL_ADDRESS","PARCEL_LOCKER","INVOICE_ADDRESS"],"type":"string","title":"AddressType"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"RecommendedCarrier":{"properties":{"carrierProduct":{"description":"Carrier product that has been selected.","type":"string"},"carrierRef":{"description":"Reference to the recommended carrier","type":"string"},"carrierServices":{"description":"Carrier services that have been selected","items":{"type":"string"},"maxItems":20,"type":"array"}},"required":["carrierRef"],"title":"RecommendedCarrier","type":"object","description":"RecommendedCarrier"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ShippingInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this shippingInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"number"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ShippingInformationLineItem","type":"object","description":"ShippingInformationLineItem"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/shippinginformation":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves shippingInformation entities based on provided search criteria.","operationId":"getShippingInformation","parameters":[{"description":"entity to start after","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show. Max value is 500","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"minimum":1,"type":"integer"}},{"description":"filter by facilityRefs","in":"query","name":"facilityRefs","required":false,"schema":{"items":{"type":"string"},"type":"array"}},{"description":"filter by tenantOrderId","in":"query","name":"tenantOrderId","required":false,"schema":{"type":"string"}},{"description":"the value by which results should be ordered by. If nothing is passed return values are sorted by id","in":"query","name":"orderBy","required":false,"schema":{"type":"string"}},{"description":"if set to true, the total count of entities found by the given search criteria will be returned. Default is false","in":"query","name":"withTotal","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingInformationResponse"}}},"description":"Successfully retrieved shippingInformation."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get shippingInformation","tags":["Shipping information"]}}}}
```

## Create a shippingInformation

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Creates a new shippingInformation.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the shipping information of a parcel.","name":"Shipping information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ShippingInformationForCreation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"carrierRecipientInformation":{"description":"Combination of address, carrier, carrier product and carrier service which can be referenced by line items. At the moment only address is implemented and only one carrierRecipientInformation is allowed.","items":{"$ref":"#/components/schemas/CarrierRecipientInformationForCreation"},"maxItems":1,"minItems":1,"type":"array"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"description":"Reference to related facility","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process. If not passed, a new operative process will be created and the reference added.","type":"string"},"processRef":{"description":"Reference to related process. If not passed, a new process will be created and the reference added.","type":"string"},"recommendedCarrier":{"allOf":[{"$ref":"#/components/schemas/RecommendedCarrier"}],"description":"Recommended carrier for this shippingInformation."},"senderAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddress"}],"description":"Address of the sender for this shippingInformation"},"shippingInformationLineItems":{"description":"Items that are related to this shippingInformation","items":{"$ref":"#/components/schemas/ShippingInformationLineItemForCreation"},"maxItems":50,"minItems":0,"type":"array"},"shortId":{"description":"A short identifier that helps assigning a shippingInformation to a customer","type":"string"},"status":{"description":"The status of the shippingInformation","type":"string"},"tenantOrderId":{"description":"Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.","type":"string"}},"required":["facilityRef","senderAddress","shippingInformationLineItems","carrierRecipientInformation"],"title":"ShippingInformationForCreation","type":"object","description":"ShippingInformationForCreation"},"CarrierRecipientInformationForCreation":{"properties":{"address":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","items":{"$ref":"#/components/schemas/ConsumerAddress"},"maxItems":3,"minItems":1,"type":"array"}},"required":["address"],"title":"CarrierRecipientInformationForCreation","type":"object","description":"CarrierRecipientInformationForCreation"},"ConsumerAddress":{"allOf":[{"$ref":"#/components/schemas/Address"}],"properties":{"addressType":{"$ref":"#/components/schemas/AddressType"},"companyName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/Coordinates"},"email":{"format":"email","minLength":1,"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"salutation":{"type":"string"}},"type":"object","title":"ConsumerAddress","description":"ConsumerAddress"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"AddressType":{"description":"Type of this address, used e.g. for communication with the carrier. Use POSTAL_ADDRESS for the address where the order should be shipped to, INVOICE_ADDRESS for the address where the invoice is sent to and PARCEL_LOCKER if a parcel locker is used for this order.","enum":["POSTAL_ADDRESS","PARCEL_LOCKER","INVOICE_ADDRESS"],"type":"string","title":"AddressType"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"RecommendedCarrier":{"properties":{"carrierProduct":{"description":"Carrier product that has been selected.","type":"string"},"carrierRef":{"description":"Reference to the recommended carrier","type":"string"},"carrierServices":{"description":"Carrier services that have been selected","items":{"type":"string"},"maxItems":20,"type":"array"}},"required":["carrierRef"],"title":"RecommendedCarrier","type":"object","description":"RecommendedCarrier"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ShippingInformationLineItemForCreation":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"number"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttributeForCreation"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["article","quantity"],"title":"ShippingInformationLineItemForCreation","type":"object","description":"ShippingInformationLineItemForCreation"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttributeForCreation":{"additionalProperties":false,"properties":{"keyLocalized":{"$ref":"#/components/schemas/LocaleString"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"validations":{"items":{"$ref":"#/components/schemas/RecordableAttributeValidation"},"maxItems":1,"minItems":0,"type":"array"},"value":{"description":"The value of the attribute","nullable":true,"type":"string"}},"required":["keyLocalized","recordingRule"],"title":"RecordableAttributeForCreation","type":"object","description":"RecordableAttributeForCreation"},"RecordableAttributeValidation":{"properties":{"allowedValues":{"items":{"$ref":"#/components/schemas/RecordableAttributeValidationsAllowedValue"},"maxItems":60,"minItems":0,"type":"array"},"key":{"description":"Key of this value to validate against operation validations","minLength":1,"nullable":true,"type":"string"},"type":{"enum":["EXACT_MATCH"],"type":"string"}},"required":["type","allowedValues"],"title":"RecordableAttributeValidation","type":"object","description":"RecordableAttributeValidation"},"RecordableAttributeValidationsAllowedValue":{"properties":{"type":{"enum":["STRING"],"type":"string"}},"required":["type"],"title":"RecordableAttributeValidationsAllowedValue","type":"object","description":"RecordableAttributeValidationsAllowedValue"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ShippingInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"carrierRecipientInformation":{"description":"Combination of address, carrier, carrier product and carrier service which can be referenced by line items. At the moment only address is implemented and only one carrierRecipientInformation is allowed.","items":{"$ref":"#/components/schemas/CarrierRecipientInformation"},"maxItems":1,"minItems":1,"type":"array"},"created":{"description":"Creation date of this shippingInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this shippingInformation","type":"string"},"lastModified":{"description":"Last modification date of this shippingInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process. If not passed, a new operative process will be created and the reference added.","type":"string"},"processRef":{"description":"Reference to related process. If not passed, a new process will be created and the reference added.","type":"string"},"recommendedCarrier":{"allOf":[{"$ref":"#/components/schemas/RecommendedCarrier"}],"description":"Recommended carrier for this shippingInformation."},"senderAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddress"}],"description":"Address of the sender for this shippingInformation"},"shippingInformationLineItems":{"description":"Items that are related to this shippingInformation","items":{"$ref":"#/components/schemas/ShippingInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"shortId":{"description":"A short identifier that helps assigning a shippingInformation to a customer","type":"string"},"status":{"description":"The status of the shippingInformation","type":"string"},"tenantOrderId":{"description":"Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.","type":"string"},"version":{"description":"Version number of this shippingInformation","type":"number"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","status","carrierRecipientInformation","senderAddress","shippingInformationLineItems"],"title":"ShippingInformation","type":"object","description":"ShippingInformation"},"CarrierRecipientInformation":{"properties":{"address":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","items":{"$ref":"#/components/schemas/ConsumerAddress"},"maxItems":3,"minItems":1,"type":"array"},"id":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","type":"string"}},"required":["id","address"],"title":"CarrierRecipientInformation","type":"object","description":"CarrierRecipientInformation"},"ShippingInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this shippingInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"number"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ShippingInformationLineItem","type":"object","description":"ShippingInformationLineItem"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/shippinginformation":{"post":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Creates a new shippingInformation.","operationId":"createShippingInformation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingInformationForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingInformation"}}},"description":"Successfully created the shippingInformation."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create a shippingInformation","tags":["Shipping information"]}}}}
```

## Get a shippingInformation by its ID

> This part of the API is in Alpha status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Retrieves a single shippingInformation using its unique identifier.

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the shipping information of a parcel.","name":"Shipping information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ShippingInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"carrierRecipientInformation":{"description":"Combination of address, carrier, carrier product and carrier service which can be referenced by line items. At the moment only address is implemented and only one carrierRecipientInformation is allowed.","items":{"$ref":"#/components/schemas/CarrierRecipientInformation"},"maxItems":1,"minItems":1,"type":"array"},"created":{"description":"Creation date of this shippingInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this shippingInformation","type":"string"},"lastModified":{"description":"Last modification date of this shippingInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process. If not passed, a new operative process will be created and the reference added.","type":"string"},"processRef":{"description":"Reference to related process. If not passed, a new process will be created and the reference added.","type":"string"},"recommendedCarrier":{"allOf":[{"$ref":"#/components/schemas/RecommendedCarrier"}],"description":"Recommended carrier for this shippingInformation."},"senderAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddress"}],"description":"Address of the sender for this shippingInformation"},"shippingInformationLineItems":{"description":"Items that are related to this shippingInformation","items":{"$ref":"#/components/schemas/ShippingInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"shortId":{"description":"A short identifier that helps assigning a shippingInformation to a customer","type":"string"},"status":{"description":"The status of the shippingInformation","type":"string"},"tenantOrderId":{"description":"Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.","type":"string"},"version":{"description":"Version number of this shippingInformation","type":"number"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","status","carrierRecipientInformation","senderAddress","shippingInformationLineItems"],"title":"ShippingInformation","type":"object","description":"ShippingInformation"},"CarrierRecipientInformation":{"properties":{"address":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","items":{"$ref":"#/components/schemas/ConsumerAddress"},"maxItems":3,"minItems":1,"type":"array"},"id":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","type":"string"}},"required":["id","address"],"title":"CarrierRecipientInformation","type":"object","description":"CarrierRecipientInformation"},"ConsumerAddress":{"allOf":[{"$ref":"#/components/schemas/Address"}],"properties":{"addressType":{"$ref":"#/components/schemas/AddressType"},"companyName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/Coordinates"},"email":{"format":"email","minLength":1,"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"salutation":{"type":"string"}},"type":"object","title":"ConsumerAddress","description":"ConsumerAddress"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"AddressType":{"description":"Type of this address, used e.g. for communication with the carrier. Use POSTAL_ADDRESS for the address where the order should be shipped to, INVOICE_ADDRESS for the address where the invoice is sent to and PARCEL_LOCKER if a parcel locker is used for this order.","enum":["POSTAL_ADDRESS","PARCEL_LOCKER","INVOICE_ADDRESS"],"type":"string","title":"AddressType"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"RecommendedCarrier":{"properties":{"carrierProduct":{"description":"Carrier product that has been selected.","type":"string"},"carrierRef":{"description":"Reference to the recommended carrier","type":"string"},"carrierServices":{"description":"Carrier services that have been selected","items":{"type":"string"},"maxItems":20,"type":"array"}},"required":["carrierRef"],"title":"RecommendedCarrier","type":"object","description":"RecommendedCarrier"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ShippingInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this shippingInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"number"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ShippingInformationLineItem","type":"object","description":"ShippingInformationLineItem"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/shippinginformation/{shippingInformationId}":{"get":{"deprecated":false,"description":"This part of the API is in Alpha status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Retrieves a single shippingInformation using its unique identifier.","operationId":"getShippingInformationById","parameters":[{"in":"path","name":"shippingInformationId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingInformation"}}},"description":"Successfully retrieved the shippingInformation."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get a shippingInformation by its ID","tags":["Shipping information"]}}}}
```

## List ShippingInformation (search)

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Search for ShippingInformation

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to create and read the shipping information of a parcel.","name":"Shipping information"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ShippingInformationSearchPayload":{"properties":{"after":{"deprecated":false,"description":"The cursor to start after for forward pagination. The value is provided in the `pageInfo.endCursor` field of the response. Cannot be used with `before` or `last`.","type":"string"},"before":{"description":"The cursor to start before for backward pagination. The value is provided in the `pageInfo.startCursor` field of the response. Cannot be used with `after` or `size` (first).","type":"string"},"last":{"description":"Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.","maximum":250,"minimum":1,"type":"number"},"options":{"allOf":[{"$ref":"#/components/schemas/SearchOptions"}],"description":"Additional options for the search request."},"query":{"$ref":"#/components/schemas/ShippingInformationSearchQuery"},"size":{"description":"Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.","maximum":250,"minimum":1,"type":"number"},"sort":{"description":"Use for sorting the result.","items":{"$ref":"#/components/schemas/ShippingInformationSort"},"maxItems":1,"minItems":1,"type":"array"},"startAfterId":{"deprecated":true,"description":"The ID to start after. Deprecated, use `after` with the value provided in `pageInfo.endCursor` instead.","type":"string"}},"required":["query"],"title":"ShippingInformationSearchPayload","type":"object","description":"ShippingInformationSearchPayload"},"SearchOptions":{"properties":{"withTotal":{"description":"Set to true to include the total count of items in the search result.","type":"boolean"}},"title":"SearchOptions","type":"object","description":"SearchOptions"},"ShippingInformationSearchQuery":{"properties":{"and":{"description":"Matches if all of the given queries match. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/ShippingInformationSearchQuery"},"maxItems":500,"type":"array"},"carrierRecipientInformation":{"allOf":[{"$ref":"#/components/schemas/ShippingInformationCarrierRecipientInformationListFilter"}],"description":"Nested list search by carrierRecipientInformation"},"created":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search entries by created. Applying a narrow and well-considered filter value is strongly recommended, as it can greatly improve response times, especially when working with large datasets."},"facilityRef":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by facilityRef"},"id":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by id"},"lastModified":{"allOf":[{"$ref":"#/components/schemas/DateFilter"}],"description":"Search by lastModified"},"or":{"description":"Matches if at least one of the given queries matches. Combined with the other filters on the same level by AND. Can be nested.","items":{"$ref":"#/components/schemas/ShippingInformationSearchQuery"},"maxItems":500,"type":"array"},"shippingInformationLineItems":{"allOf":[{"$ref":"#/components/schemas/ShippingInformationShippingInformationLineItemsListFilter"}],"description":"Nested list search by shippingInformationLineItems"},"shortId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by shortId"},"tenantOrderId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantOrderId"}},"title":"ShippingInformationSearchQuery","type":"object","description":"ShippingInformationSearchQuery"},"ShippingInformationCarrierRecipientInformationListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ShippingInformationCarrierRecipientInformationFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"ShippingInformationCarrierRecipientInformationListFilter","type":"object","description":"ShippingInformationCarrierRecipientInformationListFilter"},"ShippingInformationCarrierRecipientInformationFilter":{"properties":{"address":{"allOf":[{"$ref":"#/components/schemas/ShippingInformationCarrierRecipientInformationAddressListFilter"}],"description":"Nested list search by address"}},"title":"ShippingInformationCarrierRecipientInformationFilter","type":"object","description":"ShippingInformationCarrierRecipientInformationFilter"},"ShippingInformationCarrierRecipientInformationAddressListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ShippingInformationCarrierRecipientInformationAddressFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"ShippingInformationCarrierRecipientInformationAddressListFilter","type":"object","description":"ShippingInformationCarrierRecipientInformationAddressListFilter"},"ShippingInformationCarrierRecipientInformationAddressFilter":{"properties":{"companyName":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by companyName"},"email":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by email"},"firstName":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by firstName"},"lastName":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by lastName"}},"title":"ShippingInformationCarrierRecipientInformationAddressFilter","type":"object","description":"ShippingInformationCarrierRecipientInformationAddressFilter"},"StringSearchFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"like":{"description":"Search by regex pattern","maxLength":256,"type":"string"},"notEq":{"description":"Matches all values not equal to the given value, including entities where the field is not set","maxLength":256,"type":"string"},"notIn":{"description":"Matches all values not contained in the given list, including entities where the field is not set","items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringSearchFilter","type":"object","description":"StringSearchFilter"},"DateFilter":{"properties":{"after":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events after the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"before":{"description":"Search using ISO‑8601 dates relative to today. Prefix with “–” for past dates. Results include events before the specified date. Example: “–P1D” for yesterday, “P1W” for next week.","maxLength":256,"type":"string"},"eq":{"format":"date-time","type":"string"},"gt":{"format":"date-time","type":"string"},"gte":{"format":"date-time","type":"string"},"lt":{"format":"date-time","type":"string"},"lte":{"format":"date-time","type":"string"},"notEq":{"description":"Matches all values not equal to the given value, including entities where the field is not set","format":"date-time","type":"string"}},"title":"DateFilter","type":"object","description":"DateFilter"},"StringFilter":{"properties":{"eq":{"maxLength":256,"type":"string"},"in":{"items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"},"notEq":{"description":"Matches all values not equal to the given value, including entities where the field is not set","maxLength":256,"type":"string"},"notIn":{"description":"Matches all values not contained in the given list, including entities where the field is not set","items":{"maxLength":256,"type":"string"},"maxItems":25,"type":"array"}},"title":"StringFilter","type":"object","description":"StringFilter"},"ShippingInformationShippingInformationLineItemsListFilter":{"properties":{"contains":{"allOf":[{"$ref":"#/components/schemas/ShippingInformationShippingInformationLineItemsFilter"}],"description":"Contains returns if at least one entry matches"},"exists":{"description":"exists:false matches empty or absent lists; exists:true matches non-empty lists","type":"boolean"}},"title":"ShippingInformationShippingInformationLineItemsListFilter","type":"object","description":"ShippingInformationShippingInformationLineItemsListFilter"},"ShippingInformationShippingInformationLineItemsFilter":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/ShippingInformationShippingInformationLineItemsArticleFilter"}],"description":"Nested search by article"}},"title":"ShippingInformationShippingInformationLineItemsFilter","type":"object","description":"ShippingInformationShippingInformationLineItemsFilter"},"ShippingInformationShippingInformationLineItemsArticleFilter":{"properties":{"tenantArticleId":{"allOf":[{"$ref":"#/components/schemas/StringFilter"}],"description":"Search by tenantArticleId"},"title":{"allOf":[{"$ref":"#/components/schemas/StringSearchFilter"}],"description":"Search by title"}},"title":"ShippingInformationShippingInformationLineItemsArticleFilter","type":"object","description":"ShippingInformationShippingInformationLineItemsArticleFilter"},"ShippingInformationSort":{"properties":{"created":{"enum":["ASC","DESC"],"type":"string"},"lastModified":{"enum":["ASC","DESC"],"type":"string"}},"title":"ShippingInformationSort","type":"object","description":"ShippingInformationSort"},"ShippingInformationPaginatedResult":{"properties":{"pageInfo":{"allOf":[{"$ref":"#/components/schemas/PageInfo"}],"description":"Pagination information for the search result."},"shippingInformationList":{"items":{"$ref":"#/components/schemas/ShippingInformation"},"type":"array"},"total":{"description":"The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.","minimum":0,"type":"number"}},"required":["pageInfo","shippingInformationList"],"title":"ShippingInformationPaginatedResult","type":"object","description":"ShippingInformationPaginatedResult"},"PageInfo":{"properties":{"endCursor":{"description":"The cursor to use to fetch the next page of items. Use with parameter `after`.","type":"string"},"hasNextPage":{"description":"If true, there are more items after the current page.","type":"boolean"},"hasPreviousPage":{"description":"If true, there are more items before the current page.","type":"boolean"},"startCursor":{"description":"The cursor to use to fetch the previous page of items.","type":"string"}},"required":["hasNextPage","hasPreviousPage","startCursor","endCursor"],"title":"PageInfo","type":"object","description":"PageInfo"},"ShippingInformation":{"properties":{"anonymized":{"description":"Indicates if gdpr related data was anonymized","type":"boolean"},"carrierRecipientInformation":{"description":"Combination of address, carrier, carrier product and carrier service which can be referenced by line items. At the moment only address is implemented and only one carrierRecipientInformation is allowed.","items":{"$ref":"#/components/schemas/CarrierRecipientInformation"},"maxItems":1,"minItems":1,"type":"array"},"created":{"description":"Creation date of this shippingInformation","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"facilityRef":{"description":"Reference to related facility","type":"string"},"id":{"description":"Unique identifier of this shippingInformation","type":"string"},"lastModified":{"description":"Last modification date of this shippingInformation","format":"date-time","type":"string"},"operativeProcessRef":{"description":"Reference to related operative process. If not passed, a new operative process will be created and the reference added.","type":"string"},"processRef":{"description":"Reference to related process. If not passed, a new process will be created and the reference added.","type":"string"},"recommendedCarrier":{"allOf":[{"$ref":"#/components/schemas/RecommendedCarrier"}],"description":"Recommended carrier for this shippingInformation."},"senderAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddress"}],"description":"Address of the sender for this shippingInformation"},"shippingInformationLineItems":{"description":"Items that are related to this shippingInformation","items":{"$ref":"#/components/schemas/ShippingInformationLineItem"},"maxItems":50,"minItems":0,"type":"array"},"shortId":{"description":"A short identifier that helps assigning a shippingInformation to a customer","type":"string"},"status":{"description":"The status of the shippingInformation","type":"string"},"tenantOrderId":{"description":"Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.","type":"string"},"version":{"description":"Version number of this shippingInformation","type":"number"}},"required":["id","version","created","lastModified","processRef","operativeProcessRef","facilityRef","status","carrierRecipientInformation","senderAddress","shippingInformationLineItems"],"title":"ShippingInformation","type":"object","description":"ShippingInformation"},"CarrierRecipientInformation":{"properties":{"address":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","items":{"$ref":"#/components/schemas/ConsumerAddress"},"maxItems":3,"minItems":1,"type":"array"},"id":{"description":"Addresses of the recipients for this carrierRecipientInformation. Depending on the use case there can be multiple recipient addresses (e.g. invoice address deviates from shipping address).","type":"string"}},"required":["id","address"],"title":"CarrierRecipientInformation","type":"object","description":"CarrierRecipientInformation"},"ConsumerAddress":{"allOf":[{"$ref":"#/components/schemas/Address"}],"properties":{"addressType":{"$ref":"#/components/schemas/AddressType"},"companyName":{"type":"string"},"coordinates":{"$ref":"#/components/schemas/Coordinates"},"email":{"format":"email","minLength":1,"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"personalTitle":{"type":"string"},"salutation":{"type":"string"}},"type":"object","title":"ConsumerAddress","description":"ConsumerAddress"},"Address":{"properties":{"additionalAddressInfo":{"type":"string"},"city":{"pattern":"^.+$","type":"string"},"country":{"description":"A two-digit country code as per ISO 3166-1 alpha-2","pattern":"^[A-Z]{2}$","type":"string"},"customAttributes":{"description":"Attributes that can be added to the address. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"houseNumber":{"pattern":"^.+$","type":"string"},"phoneNumbers":{"items":{"properties":{"customAttributes":{"description":"Attributes that can be added to the phonenumber. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.","type":"object"},"label":{"description":"Can be used to give a description for the number, like \"private\", \"business number\", etc.","type":"string"},"type":{"enum":["MOBILE","PHONE"],"type":"string"},"value":{"description":"The number itself. We do not enforce any format (yet).","type":"string"}},"required":["value","type"],"type":"object"},"maxItems":500,"type":"array"},"postalCode":{"pattern":"^.+$","type":"string"},"province":{"pattern":"^.+$","type":"string"},"street":{"pattern":"^.+$","type":"string"}},"required":["street","city","postalCode","country"],"type":"object","title":"Address","description":"Address"},"AddressType":{"description":"Type of this address, used e.g. for communication with the carrier. Use POSTAL_ADDRESS for the address where the order should be shipped to, INVOICE_ADDRESS for the address where the invoice is sent to and PARCEL_LOCKER if a parcel locker is used for this order.","enum":["POSTAL_ADDRESS","PARCEL_LOCKER","INVOICE_ADDRESS"],"type":"string","title":"AddressType"},"Coordinates":{"description":"Coordinates of the WGS84 geodetic reference system in Mercator projection, as used e.g. by the Google Maps API","properties":{"lat":{"description":"Latitude value","type":"number"},"lon":{"description":"Longitude value","type":"number"}},"required":["lat","lon"],"type":"object","title":"Coordinates"},"RecommendedCarrier":{"properties":{"carrierProduct":{"description":"Carrier product that has been selected.","type":"string"},"carrierRef":{"description":"Reference to the recommended carrier","type":"string"},"carrierServices":{"description":"Carrier services that have been selected","items":{"type":"string"},"maxItems":20,"type":"array"}},"required":["carrierRef"],"title":"RecommendedCarrier","type":"object","description":"RecommendedCarrier"},"FacilityAddress":{"allOf":[{"$ref":"#/components/schemas/FacilityAddressForCreation"},{"properties":{"resolvedTimeZone":{"$ref":"#/components/schemas/TimeZone"}},"type":"object"}],"type":"object","xml":{"name":"FacilityAddress"},"title":"FacilityAddress","description":"FacilityAddress"},"FacilityAddressForCreation":{"allOf":[{"$ref":"#/components/schemas/Address"},{"properties":{"companyName":{"type":"string"},"emailAddresses":{"items":{"properties":{"recipient":{"description":"Human readable information who is the recipient for emails sent to this address.","type":"string"},"value":{"type":"string"}},"required":["value"],"type":"object"},"maxItems":10,"type":"array"},"resolvedCoordinates":{"$ref":"#/components/schemas/Coordinates"},"resolvedTimeZone":{"allOf":[{"$ref":"#/components/schemas/TimeZoneForCreation"}],"description":"User-specified time zone in identifier format (e.g., \"America/Los_Angeles\"). Used to determine local time. Relevant only if the country spans multiple time zones; otherwise, the time zone is automatically determined from the country or via Google if unspecified."}},"required":["companyName"],"type":"object"}],"type":"object","xml":{"name":"FacilityAddressForCreation"},"title":"FacilityAddressForCreation","description":"FacilityAddressForCreation"},"TimeZoneForCreation":{"description":"Self-provided timezone for determining the local time of a facility","properties":{"timeZoneId":{"description":"official id of the timezone","type":"string"}},"required":["timeZoneId"],"type":"object","title":"TimeZoneForCreation"},"TimeZone":{"description":"Timezone for information retrieved e.g. by the Google Maps API","properties":{"offsetInSeconds":{"description":"offset in seconds to standard time. Does not account for daylight saving time.","type":"number"},"source":{"description":"source of the timezone information","type":"string"},"timeZoneId":{"description":"official id of the timezone","type":"string"},"timeZoneName":{"description":"descriptive name of the timezone","type":"string"}},"required":["timeZoneId","timeZoneName","offsetInSeconds"],"type":"object","title":"TimeZone"},"ShippingInformationLineItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/LineItemArticle"}],"description":"Article information for this line item."},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"globalLineItemId":{"description":"This id is used to identify if this line item is related to the line item of other operational entities. If not passed, a new one will be generated.","type":"string"},"id":{"description":"Unique identifier of this shippingInformationLineItem","type":"string"},"quantity":{"description":"Quantity of this item","minimum":1,"type":"number"},"recordableAttributes":{"description":"Customizable information about the item that can be set during the process","items":{"$ref":"#/components/schemas/RecordableAttribute"},"maxItems":50,"minItems":0,"type":"array"},"scannableCodes":{"description":"Codes, that identify the article","items":{"type":"string"},"maxItems":50,"minItems":0,"type":"array"},"substituteForOrderedItem":{"$ref":"#/components/schemas/SubstituteForOrderedItem"}},"required":["id","article","quantity"],"title":"ShippingInformationLineItem","type":"object","description":"ShippingInformationLineItem"},"LineItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"description":"Attributes are used in fulfillmenttools to impose a certain degree of customization to a process, such as improving the appearance in fulfillmenttools clients. Details about usage can be found in the <a href=\\\"https://docs.fulfillmenttools.com/documentation/by-pillar/global-inventory-hub/articles/article-attributes\">article attributes article</a>.","items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"maxItems":50,"type":"array"},"customAttributes":{"deprecated":true,"description":"Deprecated: use customAttributes on lineItem instead.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["title","tenantArticleId"],"title":"LineItemArticle","type":"object","description":"LineItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"SubstituteForOrderedItem":{"properties":{"article":{"$ref":"#/components/schemas/LineItemArticle"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"}},"required":["article","globalLineItemId"],"title":"SubstituteForOrderedItem","type":"object","description":"SubstituteForOrderedItem"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/shippinginformation/search":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Search for ShippingInformation","operationId":"searchShippingInformation","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingInformationSearchPayload"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ShippingInformationPaginatedResult"}}},"description":"Your search result"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List ShippingInformation (search)","tags":["Shipping information"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/shipping-information.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
